# Type Alias WidgetTableColumn

type WidgetTableColumn = {
label: string;
name: string;
sortable?: boolean;
type: WidgetTableColumnTypes;
widget: WidgetTableColumnWidgets;
}

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:97

##### Index

### Properties

label
name
sortable?
type
widget

## Properties

### label

label: string

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:99

### name

name: string

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:98

### `Optional` sortable

sortable?: boolean

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:100

### type

type: WidgetTableColumnTypes

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:101

### widget

widget: WidgetTableColumnWidgets

- Defined in jamespot-user-api/src/types/widgets/widgetDatasourceTable.ts:102